From 34e96004f80599e46489ef457206cc24117b3a39 Mon Sep 17 00:00:00 2001
From: Bastian Bittorf <bittorf@bluebottle.com>
Date: Thu, 16 Oct 2014 14:13:11 -0400
Subject: [PATCH] [odhcp6c] script: only call firewall, if installed

[odhcp6c] script: only call firewall, if installed

we dont use fw3, so i was wondering about error-messages in syslog
about fw3. check if 'fw3' is in place, before calling it.

Signed-off-by: Bastian Bittorf <bittorf@bluebottle.com>
---
 package/network/ipv6/odhcp6c/files/dhcpv6.script |    4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/package/network/ipv6/odhcp6c/files/dhcpv6.script b/package/network/ipv6/odhcp6c/files/dhcpv6.script
index 1acad19..6c47132 100755
--- a/package/network/ipv6/odhcp6c/files/dhcpv6.script
+++ b/package/network/ipv6/odhcp6c/files/dhcpv6.script
@@ -111,7 +111,9 @@ setup_interface () {
 		MAPRULE="$LW4O6"
 	fi
 
-	[ -n "$ZONE" ] || ZONE=$(fw3 -q network $INTERFACE)
+	[ -z "$ZONE" ] && {
+		[ -e '/sbin/fw3' ] && ZONE=$(fw3 -q network $INTERFACE)
+	}
 
 	if [ "$IFACE_MAP" != 0 -a -n "$MAPTYPE" -a -n "$MAPRULE" ]; then
 		[ -z "$IFACE_MAP" -o "$IFACE_MAP" = 1 ] && IFACE_MAP=${INTERFACE}_map
-- 
1.7.10.4

